"""Constants for the TP-Link component tests."""

SMARTPLUG_HS110_DATA = {
    "sysinfo": {
        "sw_ver": "1.0.4 Build 191111 Rel.143500",
        "hw_ver": "4.0",
        "model": "HS110(EU)",
        "deviceId": "4C56447B395BB7A2FAC68C9DFEE2E84163222581",
        "oemId": "40F54B43071E9436B6395611E9D91CEA",
        "hwId": "A6C77E4FDD238B53D824AC8DA361F043",
        "rssi": -24,
        "longitude_i": 130793,
        "latitude_i": 480582,
        "alias": "SmartPlug",
        "status": "new",
        "mic_type": "IOT.SMARTPLUGSWITCH",
        "feature": "TIM:ENE",
        "mac": "69:F2:3C:8E:E3:47",
        "updating": 0,
        "led_off": 0,
        "relay_state": 0,
        "on_time": 0,
        "active_mode": "none",
        "icon_hash": "",
        "dev_name": "Smart Wi-Fi Plug With Energy Monitoring",
        "next_action": {"type": -1},
        "err_code": 0,
    },
    "realtime": {
        "voltage_mv": 233957,
        "current_ma": 21,
        "power_mw": 0,
        "total_wh": 1793,
        "err_code": 0,
    },
}
SMARTPLUG_HS100_DATA = {
    "sysinfo": {
        "sw_ver": "1.0.4 Build 191111 Rel.143500",
        "hw_ver": "4.0",
        "model": "HS100(EU)",
        "deviceId": "4C56447B395BB7A2FAC68C9DFEE2E84163222581",
        "oemId": "40F54B43071E9436B6395611E9D91CEA",
        "hwId": "A6C77E4FDD238B53D824AC8DA361F043",
        "rssi": -24,
        "longitude_i": 130793,
        "latitude_i": 480582,
        "alias": "SmartPlug",
        "status": "new",
        "mic_type": "IOT.SMARTPLUGSWITCH",
        "feature": "TIM:",
        "mac": "A9:F4:3D:A4:E3:47",
        "updating": 0,
        "led_off": 0,
        "relay_state": 0,
        "on_time": 0,
        "active_mode": "none",
        "icon_hash": "",
        "dev_name": "Smart Wi-Fi Plug",
        "next_action": {"type": -1},
        "err_code": 0,
    }
}
SMARTSTRIP_KP303_DATA = {
    "sysinfo": {
        "sw_ver": "1.0.4 Build 210428 Rel.135415",
        "hw_ver": "1.0",
        "model": "KP303(AU)",
        "deviceId": "03102547AB1A57A4E4AA5B4EFE34C3005726B97D",
        "oemId": "1F950FC9BFF278D9D35E046C129D9411",
        "hwId": "9E86D4F840D2787D3D7A6523A731BA2C",
        "rssi": -74,
        "longitude_i": 1158985,
        "latitude_i": -319172,
        "alias": "TP-LINK_Power Strip_00B1",
        "status": "new",
        "mic_type": "IOT.SMARTPLUGSWITCH",
        "feature": "TIM",
        "mac": "D4:DD:D6:95:B0:F9",
        "updating": 0,
        "led_off": 0,
        "children": [
            {
                "id": "8006B399B7FE68D4E6991CCCEA239C081DFA913000",
                "state": 0,
                "alias": "R-Plug 1",
                "on_time": 0,
                "next_action": {"type": -1},
            },
            {
                "id": "8006B399B7FE68D4E6991CCCEA239C081DFA913001",
                "state": 1,
                "alias": "R-Plug 2",
                "on_time": 93835,
                "next_action": {"type": -1},
            },
            {
                "id": "8006B399B7FE68D4E6991CCCEA239C081DFA913002",
                "state": 1,
                "alias": "R-Plug 3",
                "on_time": 93834,
                "next_action": {"type": -1},
            },
        ],
        "child_num": 3,
        "err_code": 0,
    },
    "realtime": {
        "voltage_mv": 233957,
        "current_ma": 21,
        "power_mw": 0,
        "total_wh": 1793,
        "err_code": 0,
    },
    "context": "1",
}
